*** ./chan_mobile.c.original	2010-04-08 19:25:18.000000000 -0300
--- ./chan_mobile.c	2010-04-08 20:56:44.298492578 -0300
***************
*** 1792,1801 ****
--- 1792,1810 ----
  	ssize_t s;
  	if ((s = rfcomm_read(rsock, buf, count - 1)) < 1)
  		return s;
  	buf[s] = '\0';
  
+ 	/* Trim answer from heading and trailing newlines */
+ 	char *p1, *p2;
+ 	p1=p2=buf;
+ 	while ( (*p1=='\r') || (*p1=='\n') )
+ 		p1++;
+ 	while ( (*p1) && (*p1!='\r') && (*p1!='\n') )
+ 		*p2++=*p1++;
+ 	*p2='\0';
+ 
  	if (!strcmp("OK", buf)) {
  		return AT_OK;
  	} else if (!strcmp("ERROR", buf)) {
  		return AT_ERROR;
  	} else if (!strcmp("RING", buf)) {
